net.sf.jasperreports.engine

## Interface ReturnValue

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    BaseReturnValue, DesignReturnValue

      public interface ReturnValue
      extends JRCloneable

  A value copied from a subdataset into a variable of the parent report.
  Version:
    $Id: ReturnValue.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CalculationEnum` | `getCalculation()` Returns the calculation type.
    `java.lang.String` | `getFromVariable()` Returns the name of the variable whose value should be copied.
    `java.lang.String` | `getIncrementerFactoryClassName()` Returns the incrementer factory class name.
    `java.lang.String` | `getToVariable()` Returns the name of the report variable where the value should be copied.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getFromVariable

          java.lang.String getFromVariable()

      Returns the name of the variable whose value should be copied.
      Returns:
        the name of the variable whose value should be copied.

    - #### getToVariable

          java.lang.String getToVariable()

      Returns the name of the report variable where the value should be copied.
      Returns:
        the name of the report variable where the value should be copied.

    - #### getCalculation

          CalculationEnum getCalculation()

      Returns the calculation type.

      When copying the value from, a formula can be applied such that sum, maximum, average and so on can be computed.

      Returns:
        the calculation type.

    - #### getIncrementerFactoryClassName

          java.lang.String getIncrementerFactoryClassName()

      Returns the incrementer factory class name.

      The factory will be used to increment the value of the report variable with the returned value.

      Returns:
        the incrementer factory class name.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com